<div class="page--header-title d-flex justify-content-center align-items-center shadow">
  <h1>Sellect Wallet</h1>
</div>
<div class="main-wrapper list-wallet mt-3">
  <span class="no-wallet-notice text-center" *ngIf="this.wallets.length === 0">
    There is no wallet. Let's create a new one
  </span>
  <div *ngFor="let wallet of wallets">
    <div class="wallet-item d-flex align-items-center border-bottom" (click)="navigateToWalletDetail(wallet.id)">
      <div class="wallet-icon d-flex justify-content-center">
        <img *ngIf="wallet.id !== primaryWalletId" src="../../../assets/images/wallet.png"/>
        <img *ngIf="wallet.id === primaryWalletId" src="../../../assets/images/primary-wallet.png"/>
      </div>
      <div class="wallet-info">
        <span class="wallet--name d-block text-truncate">
          <span class="badge badge-pill badge-info" *ngIf="wallet.id === primaryWalletId">Primary</span>
          {{wallet.name}}
        </span>
        <span class="wallet--amount">
          {{wallet.amount | currency: wallet.currencyCode : 'symbol':'0.2-2'}}</span>
      </div>
      <div class="wallet-options" appClickStopPropagation>
        <button mat-icon-button [matMenuTriggerFor]="menu">
          <mat-icon>more_vert</mat-icon>
        </button>
        <mat-menu #menu="matMenu">
          <button mat-menu-item (click)="deleteWallet(wallet.id)">
            <mat-icon>delete</mat-icon>
            <span>Remove wallet</span>
          </button>
          <button mat-menu-item (click)="openUpdateBasicInfoWalletDialog(wallet)">
            <mat-icon>edit</mat-icon>
            <span>Edit Wallet</span>
          </button>
          <button mat-menu-item (click)="openAdjustBalanceWalletDialog(wallet)">
            <mat-icon>attach_money</mat-icon>
            <span>Adjust Balance</span>
          </button>
          <button mat-menu-item (click)="setPrimaryWallet(wallet.id, wallet.name)" *ngIf="wallet.id !== primaryWalletId">
            <mat-icon>grade</mat-icon>
            <span>Set Primary Wallet</span>
          </button>
        </mat-menu>
      </div>
    </div>
  </div>

  <div class="add-wallet d-flex align-items-center mt-4 mb-4" (click)="navigateToCreateWallet()">
    <i class="add-wallet-icon fa fa-plus-circle d-flex justify-content-center"></i>
    <div class="wallet-info">
      <span>Add wallet</span>
    </div>
  </div>
</div>
